//
//  Mesure des tensions et température
//
//  www.thyzoon.fr
//  2015
//

#include "Arduino.h"

// parametres CAN
#define VREF 5.0         // reference de tension du CAN
#define RESOLUTION 1024  // resolution du CAN

// resistance mesure tension LIFE ou LIPO
#define R8 1800 // resistances du pont de mesure
#define R9 2200 // de la tension LIFE ou LIPO

// Paramètres mesures de temperature
#define RINF 0.033723338   // = R0 x e(-B/Temp)   avec  Temp : 298.15 soit 25°C
#define R0 5000            // Rctn à 298.15 K (25°C)
#define B  3550            // coef B du capteur ctn
#define K  0.0015          // constante de dissipation ctn
#define R6 3300            // resistance du pont
#define ZERO_KELVIN -273.15 // -273.15 °C = 0 Kelvin

class Mesure{
  public:
  void init(); 
  float Tension_NIMH ();
  float Tension_LI ();
  int Temperature ();
  Mesure ();
  
  private:
  uint16_t lecture_can (uint8_t pin);
};
